Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class AttributeCertificateHolder

    java.lang.Object
      |
      +--org.bouncycastle.x509.AttributeCertificateHolder

All Implemented Interfaces:
  CertSelector, java.lang.Cloneable

public class AttributeCertificateHolder
extends java.lang.Object
implements CertSelector

The Holder object.

      Holder ::= SEQUENCE {
            baseCertificateID   [0] IssuerSerial OPTIONAL,
                     -- the issuer and serial number of
                     -- the holder's Public Key Certificate
            entityName          [1] GeneralNames OPTIONAL,
                     -- the name of the claimant or role
            objectDigestInfo    [2] ObjectDigestInfo OPTIONAL
                     -- used to directly authenticate the holder,
                     -- for example, an executable
      }

Constructor Summary
`AttributeCertificateHolder(java.security.cert.X509Certificate cert)`
`AttributeCertificateHolder(X509Principal principal)`

Method Summary
`java.lang.Object` | `clone()` Makes a copy of this `CertSelector`.
`java.security.Principal[]` | `getEntityNames()` Return any principal objects inside the attribute certificate holder entity names field.
`java.security.Principal[]` | `getIssuer()` Return the principals associated with the issuer attached to this holder
`java.math.BigInteger` | `getSerialNumber()` Return the serial number associated with the issuer attached to this holder.
`boolean` | `match(java.security.cert.Certificate cert)` Decides whether a `Certificate` should be selected.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificateHolder

    public AttributeCertificateHolder(java.security.cert.X509Certificate cert)
                               throws java.security.cert.CertificateParsingException

### AttributeCertificateHolder

    public AttributeCertificateHolder(X509Principal principal)

Method Detail

### getEntityNames

    public java.security.Principal[] getEntityNames()

  Return any principal objects inside the attribute certificate holder entity names field.
  Returns:
    an array of Principal objects (usually X509Principal), null if no entity names field is set.

### getIssuer

    public java.security.Principal[] getIssuer()

  Return the principals associated with the issuer attached to this holder
  Returns:
    an array of principals, null if no BaseCertificateID is set.

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

  Return the serial number associated with the issuer attached to this holder.
  Returns:
    the certificate serial number, null if no BaseCertificateID is set.

### clone

    public java.lang.Object clone()

  Description copied from interface: `CertSelector`
  Makes a copy of this `CertSelector`. Changes to the copy will not affect the original and vice versa.
  Specified by:
    `clone` in interface `CertSelector`
  Overrides:
    `clone` in class `java.lang.Object`
  Following copied from interface: `org.bouncycastle.jce.cert.CertSelector`
  Returns:
    a copy of this `CertSelector`

### match

    public boolean match(java.security.cert.Certificate cert)

  Description copied from interface: `CertSelector`
  Decides whether a `Certificate` should be selected.
  Specified by:
    `match` in interface `CertSelector`
  Following copied from interface: `org.bouncycastle.jce.cert.CertSelector`
  Parameters:
    `cert` - the `Certificate` to be checked
  Returns:
    `true` if the `Certificate` should be selected, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD